<style>
*{
   font-weight: 550;
   font-size: 10px;
   /* font-family: Arial; */

   font-family: monospace;

}

#impresion{
   width:180px;
  
   margin: 0;
 
 padding: 0;
 
 
}
#titulo {
   
   margin: 0;
   text-align: center;
   padding: 0;
   
}


#tr{
   
   justify-content:  space-around;
}
h6{
   margin: 0;
   
   padding: 0;

}


.item{
margin-right: 1px;

}
p {margin: 0; padding: 0;
   word-wrap: break-word; /* Rompe palabras largas */

}
.produ{
   text-align: left;
}

#totalll{
   text-align: center;

}
.reso{
   margin: 0;
   text-align: left;
   padding: 0;
;

  
}
#comentario{
  
   text-align: left;
width:90%;
word-wrap: break-word;
  
  

}

</style>

<?php
$bodega=$_POST["bodega"];
include("datosimpresion.php");
?>


<div id="impresion" >




<div id="titulo">
   <?php
   if($logo==""){
      echo(" <h6>  $nombreNegocio</h6>
      <h6> $direccion</h6>
      ");

   }else{
      echo("<img src='facturacion/$logo' alt='' width='170' height='50'>  </img>
      <br>
         
      <h6>$direccion</h6>

      ");    
    
   }

   
   ?>
</div>  
<?php

use PhpParser\Node\Expr\Isset_;

$idc=$_POST["idc"];
$nombrec=$_POST["nombrec"];
$direc=$_POST["direc"];
$nombrev=$_POST["nombrev"];
$fecha=$_POST["fecha"];
$factura=$_POST["numf"];
$telclien=$_POST["telcli"];
$detallef=$_POST["detallef"];
$descuento=$_POST["descuento"];
$tipofactura=$_POST["tipofactura"];

$efectivo=$_POST["efectivo"];
$trasferencias=$_POST["tcred"];
$tarejtas=$_POST["tdebi"];
$propina=$_POST["propina"];
$tipoAtencion=$_POST["tipoAtencion"];

$rpos=0;
if(isset($_POST["tipoelectrono"])){
   if($_POST["tipoelectrono"]==1){
      $tipofactura="Pos_Elec";
      $rpos=1;
   }
}

$profeijoFa=$profijo;
if(isset($_POST["valorcufe"])){


   $valorcufe=$_POST["valorcufe"];
   if($valorcufe==1){
      $profeijoFa=$prefijoElectro;
   }
}

// if($tipofactura!="Electronica" || $tipofactura!="Pos_Elec" || $rpos !=1 ){
//    $factura=substr("$factura",3);
//    }else{
      $factura=$factura; 
   // }

   $valorCrdito=0;
if(isset($_POST["credit"])){
   $valorCrdito=$_POST["credit"];
}

if($tipofactura=="Pos"){
   $tipofactura=" Comprobante Pago";
}else{
   if($tipofactura=="Electronica"){
      $tipofactura="Factura Electronica ";
   }else{
      $tipofactura="Doc: Equivalente Electronico Pos";
   }
   
}




print("<br>");
print("<h6 class='empresa'>".$representante."</h6> ");
print(" <h6 class='empresa'>Nit:".$nit."</h6>  ");
print(" <h6 class='empresa'>$regimen </h6>");
print(" <h6 class='empresa'>Tel: ".$tel."     </h6> ");

     

        echo("<hr>");
          
print("<p>$tipofactura : $factura  </p>");
print("<p>Fecha: ".$fecha." </p>");
print("<p>Cliente: ".$idc. "</p>");
print("<p>Tel:  ".$telclien. "</p>");
print("<p>Nombre:".$nombrec  ." </p>");
print("<p>Direc: ".$direc ." ". $nombreCity." </p>");
print("<p>Asesor:".$nombrev." </p>");

echo("<hr>");
print("<div id='titulo'><h6>Detalle" .$tipofactura ."</h6> ");
echo("<hr >");


print("<div id='comentario' >Comentario: $detallef </div>");
echo("<hr >");


$produc=$_POST["factura"];
$fila = json_decode($produc,true);  
$total=$_POST["total"];
//regimen comun
// $iva5=(int) $_POST["iva5"];
// $iva19=(int)$_POST["iva19"];
// $base5=(int)$_POST["base5"];
// $base19=(int)$_POST["base19"];
// $excento=(int)$_POST["excento"];
// $otroiva=$_POST["otroiva"];
// $baseotro=$_POST["baseotro"];

// $ivaipc=$_POST["ivaipc"];
// $baseipc=$_POST["baseipc"];

// $ipConsumo=$ivaipc;

// Convertir todos los valores a decimales con dos dígitos
$iva5     = number_format((float)$_POST["iva5"], 2, '.', '');
$iva19    = number_format((float)$_POST["iva19"], 2, '.', '');
$base5    = number_format((float)$_POST["base5"], 2, '.', '');
$base19   = number_format((float)$_POST["base19"], 2, '.', '');
$excento  = number_format((float)$_POST["excento"], 2, '.', '');
$otroiva  = number_format((float)$_POST["otroiva"], 2, '.', '');
$baseotro = number_format((float)$_POST["baseotro"], 2, '.', '');
$ivaipc   = number_format((float)$_POST["ivaipc"], 2, '.', '');
$baseipc  = number_format((float)$_POST["baseipc"], 2, '.', '');
$excluido=number_format((float)$_POST["excluido"], 2, '.', '');
// Asignación del valor de $ivaipc a $ipConsumo
$ipConsumo = number_format((float)$ivaipc, 2, '.', '');

// $excluido=(int)$_POST["excluido"];
$cambio=(int)$_POST["devuleta"];

$totalExenExcl=$excluido+$excento;


$subtotal=$base19+$base5+$excento+$excluido+$baseotro;
$totaliva=(int)$iva5+$iva19+$otroiva;
//fin regimen comun
if($subtotal==0 || $subtotal=="0"){
   $subtotal=$total-$ipConsumo;
}else{
   $subtotal=$subtotal+$baseipc;
}

//mostrar codigos de productos
$mostrarCodig=["1","31330463","18389056"];

$mostrar=false;
if (in_array($nit, $mostrarCodig)) {
   $mostrar=true;
}
//mostrar codigos de productos

//mostrar lotes de venciemintos
$mostrarVecimientos=["2352342233","75003092"];
$mostrarVen=false;
if (in_array($nit, $mostrarVecimientos)) {
   $mostrarVen=true;
}
//mostrar lotes de venciemintos

foreach($fila as $valor) {

   if(isset($valor["idvencimeinto"])){
      $idvencimeinto=substr($valor["idvencimeinto"],10,100);
   }else{
      $idvencimeinto="";
   }

   
   if($mostrarVen==false){
      $idvencimeinto="";
   }

 
   $caja=$valor["Cantida_caja"];
   $frcc=$valor["Cantida_frcc"];
   $valot=($precio=$valor["precio"]);
   $Base=$valor["Base"];
  
   if(!is_numeric($caja)){
      $caja=0;
 }
   if(!is_numeric($frcc)){
         $frcc=0;
   }

   if($frcc==0 and $caja>0){
      $totalunida=$valot/$caja;
    }elseif($frcc>0 and $caja==0){
      $totalunida=$valot/$frcc;
   
     }elseif($frcc>0 and $caja>0){
   
      $totalunida=($Base/$caja);
      
   
   
     }

     $totalunida=number_format($totalunida);
     		

echo("<p class='produ'>") ; 
if($mostrar){
   echo( $codigo=$valor["Codigo"]);
   echo(" ");
}
echo( $nombre=$valor["Nombre"]." ".$idvencimeinto ." Imp:".$valor["tipo"]);
echo("<br>");
if($valor["Cantida_caja"]!=0){
   echo("CJ:". $caja=$valor["Cantida_caja"]);
   echo(" | ");
}


if($valor["Cantida_frcc"]!=0){
   echo("FR:". $frcc=$valor["Cantida_frcc"]);
   echo(" | ");
}


echo("P.U: ". $totalunida);
echo(" | ");
echo("P.T: ". number_format($precio=$valor["precio"])); 
echo("</p>");


echo("<br>");

   }

echo("<hr>");
//comun
print("<div id='totalll'>");
echo(" <h6>Subtotal: ".number_format($subtotal)."</h6>");
if($totaliva>0){
   echo("<h6>Impuesto: ".number_format($totaliva)."</h6>");
}
if($ipConsumo>0){
   echo("<h6>Ip_Consu: ".number_format($ipConsumo)."</h6>");
}


if($descuento>0){
echo("<h6>Ahorro: ".number_format($descuento)."</h6>");
}
//fin comun

if($valorCrdito>0){
   echo("<h6>Credito: ".number_format($valorCrdito)."</h6>");
}
if($propina>0){
   echo("<h6>Servicio: ".number_format($propina)."</h6>");
}


echo("<h6 style='font-size:15px'>  &nbsp; &nbsp;Total: ".number_format($total+$propina)."</h6>");


echo("<h6>Cambio: ".number_format($cambio)."</h6>");
print("</div>");

echo("<hr>");
print("<div id='comentario' >");
if($efectivo >0){
   print("Efectivo:". number_format( $efectivo) ."");
}
if($trasferencias >0){
   print(" Trasf:".number_format( $trasferencias)."");
}

if($tarejtas >0){
   print(" Tarj:". number_format( $tarejtas)."");
}
// if($propina>0){
//    print(" Servicio:". number_format( $propina)."");
// }

print("</div>");
echo("<hr>");
?>
<div id="titulo">
 <h6>Detalle Impuesto</h6>
</div>
<?php

//ccomun

$total5=$base5+$iva5;
$totall9=$base19+$iva19;
$totalotro=$otroiva+$baseotro;
$toalipc=$ivaipc+$baseipc;


echo("<hr>");
if( $totaliva>0 || $ipConsumo>0 || $totalExenExcl>0  ){
echo"<table  WIDTH='100%'  >
	          <tr class='sr'>
	           <th>Tipo
				  <th>Base
				  <th>Impue
				  <th>Total              
       </tr>    
       ";

       if($excento>0){
         echo
          "
          <tr>    
          <td>Excto       
          <td>$excento
          <td>0
          <td>$excento
          </tr> 
         
         
         ";
      }
       if($excluido>0){
         echo
          "
          <tr>    
          <td>Excludo         
          <td>$excluido
          <td>0
          <td>$excluido
          </tr>
          <tr> 
         
         
         ";
      }
       if($totall9>0){
         echo
          "
          <tr>    
       <td>19%        
       <td>$base19
       <td>$iva19
       <td>$totall9
       </tr>
       <tr> 
         
         
         ";
      }

       if($total5>0){
         echo
          "
          <tr> 
          <td>5%        
          <td>$base5
          <td>$iva5
          <td>$total5
          </tr>
         
         
         ";
      }

     			

if($toalipc>0){
   echo
    "
    <td>ipc       
    <td>$baseipc
    <td>$ivaipc
    <td>$toalipc
    </tr>
   
   
   ";
}
if($totalotro>0){
   echo
    "
    <td>p      
    <td>$baseotro
    <td>$otroiva
    <td>$totalotro
    </tr>
    </table><br>
   
   ";
}

echo
"</table><br>

";
}
//fin comun

echo("<hr>");

?>
<div id="titulo">
<?php
if(isset($_POST["copia"])=="copia"){
  echo(" <h6>Copia</h6>");
}


?>



   <script src="facturacion/qrious.js"></script>
 
            <?php
            $valorcufe=0;
            $cufe=preg_replace('/\s+/', '', $_POST["cufe"]);
            if($cufe==0 || $cufe=="0" || $cufe==" " || $cufe==""){
               $cufe=$factura;
            }
           
            
            if(isset($_POST["valorcufe"])){


               $valorcufe=$_POST["valorcufe"];
               if($valorcufe==1){

                  if($_POST["tipofactura"]=="Pos_Elec" || $rpos==1){
                  

                     echo("
                     <h6 class='reso'>R.dian: $resolucioPosElec  del $fechaPosEl</h6>
                     <h6 class='reso'>Prefijo: $PrefijoPosEl  Rango:$RangoPosEle</h6>
                     <h6 class='reso'>Vigencia:$vigenciPOsel</h6>
               ");
                  }else{
                  echo("
                        <h6 class='reso'>R.dian: $ResolucionElectronico  del  $Efecha</h6>
                        <h6 class='reso'>Prefijo: $prefijoElectro  Rango:$Erango</h6>
                        <h6 class='reso'>Vigencia:$Evigencia</h6>
                  ");
                  }

      if($_POST["tipofactura"]=="Pos_Elec" || $rpos==1){

         if($cufe==0 || $cufe=="0" || $cufe==" " || $cufe==""){
            echo("
            <img alt='Código QR' hidden id='codigo'>
            <div id='comentario' hidden >Cude:$cufe </div>");
         }else{
            echo("
            <img alt='Código QR' id='codigo'>
            <div id='comentario' >Cude:$cufe </div>");
         }




      }else{
                  if($cufe==0 || $cufe=="0" || $cufe==" " || $cufe==""){
                     echo("
                     <img alt='Código QR' hidden id='codigo'>
                     <div id='comentario' hidden >Cufe:$cufe </div>");
                  }else{
                     echo("
                     <img alt='Código QR' id='codigo'>
                     <div id='comentario' >Cufe:$cufe </div>");
                  }
               }  
               }else{

                  if($r_dian=="" || $r_dian==" "){

                  }else{
                     echo("
                     <h6 class='reso'>R.dian: $r_dian  del  $fechaResol</h6>
                     <h6 class='reso'>Prefijo: $profijo  Rango: $rango</h6>
                     <h6 class='reso'>Vigencia:$vigencia</h6>
                   ");
                  }
                

               }
               }
             
            ?>




<br>
  
   <!-- <h6>Muchas Gracias por su Compra.</h6> -->
   <?php
   echo("<p>$mensajeFactur</p>");
   ?>


<?php
if($tipoAtencion=="Domicilio"){
   echo("<hr></hr>");
   echo("<p>DOMICILIO</p>");
   
   echo("
   <h6 class='reso'>Cliente: $nombrec  Tel  $telclien</h6>
   <h6 class='reso'>Direc: $direc  </h6>
   <h6 class='reso'>Fecha:$fecha</h6>
   <h6 class='reso'>Valor:".number_format($total+$propina)."</h6>
 ");



}
   // echo("<p>$mensajeFactur</p>");
   ?>
  <h6>Software poscloud convenio www.clarisa.co </h6>

</div>









<script type='text/javascript'>
// window.print();
// setTimeout(window.close, 300);


function imprimir(){
    window.print()
   //  
     let navegador = navigator.userAgent;
     if (navigator.userAgent.match(/Android/i) || navigator.userAgent.match(/webOS/i) || navigator.userAgent.match(/iPhone/i) || navigator.userAgent.match(/iPad/i) || navigator.userAgent.match(/iPod/i) || navigator.userAgent.match(/BlackBerry/i) || navigator.userAgent.match(/Windows Phone/i)) {
      
        }
      //    else{
      //    setTimeout(window.close, 300);
      //   }
 

    }

    setTimeout(imprimir,300);
      
     

    window.onafterprint = function() {
      window.close(); // Cierra la ventana después de la impresión
    }


 
 var valorcuf='<?php echo($valorcufe);  ?> '
 if(valorcuf==1){


    const $imagen = document.querySelector("#codigo")
			
		new QRious({
			element: $imagen,
         value: "https://catalogo-vpfe.dian.gov.co/document/searchqr?documentkey=<?php echo($cufe); ?>", // La URL o el texto
			size: 130,
			backgroundAlpha: 0, // 0 para fondo transparente
			foreground: "black", // Color del QR
			level: "Q", // Puede ser L,M,Q y H (L es el de menor nivel, H el mayor)
		});
 
 }


</script>

</div>